# docker-cron-git

A docker image that let's the user define cronjobs, which in turn have access to the `git` command and the python interpreter.


## Purpose

There are many scenarios where such a container could help. For example (as I use it), one could run this container and implement a small python script that pulls an existing git repository. Then, by adding the python script (could also be shell of course!) to the container's crontab file, this pull runs frequently. 

Concrete application: use this image to pull a hugo built website (living in a public git repo) to a local folder, so that another docker container can serve the most recent files.


## License

see [LICENSE.md](LICENSE.md)
